#ifndef _INLINE_BFBPLAYSUB_H
#define _INLINE_BFBPLAYSUB_H

#ifndef _SYS_CDEFS_H_
#include <sys/cdefs.h>
#endif
#ifndef _INLINE_STUBS_H_
#include <inline/stubs.h>
#endif

__BEGIN_DECLS

#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL
#define BASE_EXT_DECL0 extern struct Library *BFBPlaySubBase;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#define BASE_PAR_DECL0 void
#endif
#ifndef BASE_NAME
#define BASE_NAME BFBPlaySubBase
#endif

BASE_EXT_DECL0

extern __inline char   *
SUBAuthorInfo (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x54)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return (char *)res;
}
extern __inline int
SUBChangeModule (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x48)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline int
SUBContModule (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x36)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline struct SampleNames *
SUBGetSampleNames (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x4e)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return (struct SampleNames *)res;
}
extern __inline int
SUBLoadModule (BASE_PAR_DECL struct TagItem * taglist)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct TagItem * a0 __asm("a0") = taglist;
	__asm __volatile ("jsr a6@(-0x1e)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline int
SUBNextPage (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x3c)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline int
SUBPlayModule (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x2a)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline int
SUBPreviousPage (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x42)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline void
SUBStopModule (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x30)"
	: /* No Output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
}
extern __inline void
SUBUnLoadModule (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x24)"
	: /* No Output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
}
#undef BASE_EXT_DECL
#undef BASE_EXT_DECL0
#undef BASE_PAR_DECL
#undef BASE_PAR_DECL0
#undef BASE_NAME

__END_DECLS

#endif /* _INLINE_BFBPLAYSUB_H */
