/*
 *  bfbplay_lib.h v1.0
 *	(c) 1996 Jarkko Vatjus-Anttila <quaid@kempele.fi>
 *
 * This pragma file is for Storm C and has been written with assist of
 * Steffen Haeuser <magicsn@birdland.es.bawue.de>.
 *
 * Functions for version 1.0 and above.
 *
 */

#ifndef BFBPLAY_PRAGMAS_H
#define BFBPLAY_PRAGMAS_H

#ifdef _cplusplus
extern "C" {
#endif

#pragma amicall(BFBPlayBase,30,BFBCheckModule(a0))
#pragma amicall(BFBPlayBase,36,BFBLoadModule(a0))
#pragma amicall(BFBPlayBase,42,BFBUnLoadModule(a0))
#pragma amicall(BFBPlayBase,48,BFBForceLoadModule(a0))
#pragma amicall(BFBPlayBase,54,BFBPlayModule(a0))
#pragma amicall(BFBPlayBase,60,BFBStopModule(a0))
#pragma amicall(BFBPlayBase,66,BFBContModule(a0))
#pragma amicall(BFBPlayBase,72,BFBNextPage(a0))
#pragma amicall(BFBPlayBase,78,BFBPreviousPage(a0))
#pragma amicall(BFBPlayBase,84,BFBChangeModule(a0))
#pragma amicall(BFBPlayBase,90,BFBGetSampleNames(a0))
#pragma amicall(BFBPlayBase,96,BFBAuthorInfo(a0))
#pragma amicall(BFBPlayBase,102,BFBGetError(d0))
#pragma amicall(BFBPlayBase,108,BFBAllocChannels())
#pragma amicall(BFBPlayBase,114,BFBFreeChannels())
#pragma amicall(BFBPlayBase,120,BFBPlaySample(a0,d0,d1))

#ifdef _cplusplus
}
#endif		/* _cplusplus */
#endif		/* BFBPLAY_PRAGMA_H /*
