/*
 * bfbplay_protos.h v1.0
 * ------------------------
 * (c) 1996 Jarkko Vatjus-Anttila <quaid@kempele.fi>
 *
 */

#ifndef	BFBPLAY_PROTOS_H
#define BFBPLAY_PROTOS_H

//* Protypes for bfbplaymaster.library V1+ functions:

int		BFBCheckModule		(struct TagItem *);
int		BFBLoadModule		(struct TagItem *);
void	BFBUnLoadModule		(struct ModInfo *);
int		BFBForceLoadModule	(struct TagItem *);
int		BFBPlayModule		(struct ModInfo *);
void	BFBStopModule		(struct ModInfo *);
int		BFBContModule		(struct ModInfo *);
int		BFBNextPage			(struct ModInfo *);
int		BFBPreviousPage		(struct ModInfo *);
int		BFBChangeModule		(struct ModInfo *);
struct SampleNames *BFBGetSampleNames	(struct ModInfo *);
char   *BFBAuthorInfo		(struct ModInfo *);
char   *BFBGetError			(int errorcode);
int		BFBAllocChannels	();
void	BFBFreeChannels		();
int		BFBPlaySample		(UBYTE *samplebuffer, ULONG bufferlength, UWORD period);

#endif // BFBPLAY_PROTOS_H
