#ifndef _INLINE_BFBPLAY_H
#define _INLINE_BFBPLAY_H

#ifndef _SYS_CDEFS_H_
#include <sys/cdefs.h>
#endif
#ifndef _INLINE_STUBS_H_
#include <inline/stubs.h>
#endif

__BEGIN_DECLS

#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL
#define BASE_EXT_DECL0 extern struct Library *BFBPlayBase;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#define BASE_PAR_DECL0 void
#endif
#ifndef BASE_NAME
#define BASE_NAME BFBPlayBase
#endif

BASE_EXT_DECL0

extern __inline int
BFBAllocChannels (BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	__asm __volatile ("jsr a6@(-0x6c)"
	: "=r" (res)
	: "r" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline char   *
BFBAuthorInfo (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x60)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return (char *)res;
}
extern __inline int
BFBChangeModule (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x54)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline int
BFBCheckModule (BASE_PAR_DECL struct TagItem * taglist)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct TagItem * a0 __asm("a0") = taglist;
	__asm __volatile ("jsr a6@(-0x1e)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline int
BFBContModule (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x42)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline int
BFBForceLoadModule (BASE_PAR_DECL struct TagItem * taglist)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct TagItem * a0 __asm("a0") = taglist;
	__asm __volatile ("jsr a6@(-0x30)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline void
BFBFreeChannels (BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register struct Library *a6 __asm("a6") = BASE_NAME;
	__asm __volatile ("jsr a6@(-0x72)"
	: /* No Output */
	: "r" (a6)
	: "d0", "d1", "a0", "a1");
}
extern __inline char   *
BFBGetError (BASE_PAR_DECL int errorcode)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register int d0 __asm("d0") = errorcode;
	__asm __volatile ("jsr a6@(-0x66)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return (char *)res;
}
extern __inline struct SampleNames *
BFBGetSampleNames (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x5a)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return (struct SampleNames *)res;
}
extern __inline int
BFBLoadModule (BASE_PAR_DECL struct TagItem * taglist)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct TagItem * a0 __asm("a0") = taglist;
	__asm __volatile ("jsr a6@(-0x24)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline int
BFBNextPage (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x48)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline int
BFBPlayModule (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x36)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline int
BFBPlaySample (BASE_PAR_DECL UBYTE * SampleBuffer, ULONG BufferLength, UWORD Period)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register UBYTE * a0 __asm("a0") = SampleBuffer;
	register ULONG d0 __asm("d0") = BufferLength;
	register UWORD d1 __asm("d1") = Period;
	__asm __volatile ("jsr a6@(-0x78)"
	: "=r" (res)
	: "r" (a6), "r" (a0), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline int
BFBPreviousPage (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register res __asm("d0");
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x4e)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
extern __inline void
BFBStopModule (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x3c)"
	: /* No Output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
}
extern __inline void
BFBUnLoadModule (BASE_PAR_DECL struct ModInfo * ModInfo)
{
	BASE_EXT_DECL
	register struct Library *a6 __asm("a6") = BASE_NAME;
	register struct ModInfo * a0 __asm("a0") = ModInfo;
	__asm __volatile ("jsr a6@(-0x2a)"
	: /* No Output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
}
#undef BASE_EXT_DECL
#undef BASE_EXT_DECL0
#undef BASE_PAR_DECL
#undef BASE_PAR_DECL0
#undef BASE_NAME

__END_DECLS

#endif /* _INLINE_BFBPLAY_H */
