/*
 *  bfbplay_pragma.h v1.0
 *	(c) 1996 Jarkko Vatjus-Anttila <quaid@kempele.fi>
 *
 * This pragma file is for SAS/C and has been written by Steffen Haeuser
 * <magicsn@birdland.es.bawue.de>. 
 *
 * Functions for version 1.0 and above.
 *
 */

#ifndef BFBPLAY_PRAGMAS_H
#define BFBPLAY_PRAGMAS_H

#pragma libcall BFBPlayBase BFBCheckModule 1e 801
#pragma libcall BFBPlayBase BFBLoadModule 24 801
#pragma libcall BFBPlayBase BFBUnLoadModule 2a 801
#pragma libcall BFBPlayBase BFBForceLoadModule 30 801
#pragma libcall BFBPlayBase BFBPlayModule 36 801
#pragma libcall BFBPlayBase BFBStopModule 3c 801
#pragma libcall BFBPlayBase BFBContModule 42 801
#pragma libcall BFBPlayBase BFBNextPage 48 801
#pragma libcall BFBPlayBase BFBPreviousPage 4e 801
#pragma libcall BFBPlayBase BFBChangeModule 54 801
#pragma libcall BFBPlayBase BFBGetSamplenames 5a 801
#pragma libcall BFBPlayBase BFBAuthorInfo 60 801
#pragma libcall BFBPlayBase BFBGetError 66 001
#pragma libcall BFBPlayBase BFBAllocChannels 6c 0
#pragma libcall BFBPlayBase BFBFreeChannels 72 0

/*** In version 1.1 and above.*/
#pragma libcall FBPlayBase BFBPlaySample 78 10803

#endif		/* BFBPLAY_PRAGMA_H /*
